# $Id: smeserver-zabbix-agent.spec,v 1.8 2009/04/20 10:51:35 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

%define name smeserver-zabbix-agent
%define version 0.1
%define release 28
Summary: sme server integration of zabbix agent
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.zabbix.com/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0:	smeserver-zabbix-agent-0.1-hostname.patch
Patch1: smeserver-zabbix-agent-0.1-template_rename.patch
Patch2: smeserver-zabbix-agent-0.1-userparam_ext_ip.patch
Patch3: smeserver-zabbix-agent-0.1-userparam_ups.patch
Patch4: smeserver-zabbix-agent-0.1-userparam_mysql.patch
Patch5: smeserver-zabbix-agent-0.1-userparam_usedMem.patch
Patch6: smeserver-zabbix-agent-0.1-userparam_usedMem_brackets.patch
Patch7: smeserver-zabbix-agent-0.1-userparam_usedMem_key.patch
Patch8: smeserver-zabbix-agent-0.1-userparam_usedMem_Used.patch
Patch9: smeserver-zabbix-agent-0.1-userparam_usedMem_Used2.patch
Patch10: smeserver-zabbix-agent-0.1-userparam_MemStats.patch
Patch11: smeserver-zabbix-agent-0.1-userparam_MemStatsTypo.patch
Patch12: smeserver-zabbix-agent-0.1-userparam_Swap.patch
Patch13: smeserver-zabbix-agent-0.1-userparam_Swap_key.patch
Patch14: smeserver-zabbix-agent-0.1-userparam_removeUselessMemStats.patch
Patch15: smeserver-zabbix-agent-0.1-userparam_pusedMem.patch
Patch16: smeserver-zabbix-agent-0.1-userparam_upsCharge.patch
Patch17: smeserver-zabbix-agent-0.1-disable_passive_mode.patch
Patch18: smeserver-zabbix-agent-0.1-mail_in_stats.patch
Patch19: smeserver-zabbix-agent-0.1-event_zabbix_agent_update.patch
Patch20: smeserver-zabbix-agent-0.1-mail_in_stats_other_denied.patch
Patch21: smeserver-zabbix-agent-0.1-fix_expand_sudoers.patch
Patch22: smeserver-zabbix-agent-0.1-mail_out_stats.patch
Patch23: smeserver-zabbix-agent-0.1-mail_out_stats_typo.patch
Patch24: smeserver-zabbix-agent-0.1-mail_out_stats_ignore_local.patch
Patch25: smeserver-zabbix-agent-0.1-net_stats.patch
Patch26: smeserver-zabbix-agent-0.1-userparam_mysql_size.patch
Patch27: smeserver-zabbix-agent-0.1-adjust_masq.patch
Patch28: smeserver-zabbix-agent-0.1-timeout_comment.patch
Patch29: smeserver-zabbix-agent-0.1-buffers.patch
Patch30: smeserver-zabbix-agent-0.1-sudoers_mysql.patch
Patch31: smeserver-zabbix-agent-0.1-mysql_size_fixe.patch
Patch32: smeserver-zabbix-agent-0.1-userparam_swRaid_status.patch
Patch33: smeserver-zabbix-agent-0.1-userparam_comment.patch
Patch34: smeserver-zabbix-agent-0.1-userparam_megaraid.patch
Patch35: smeserver-zabbix-agent-0.1-userparam_yum_updates.patch
Patch36: smeserver-zabbix-agent-0.1-userparam_sensors.patch
Patch37: smeserver-zabbix-agent-0.1-sensors_fixes.patch
Patch38: smeserver-zabbix-agent-0.1-megaraid_parser.patch
Patch39: smeserver-zabbix-agent-0.1-mail_stats_via_cron.patch
Patch40: smeserver-zabbix-agent-0.1-mdstat_one_line.patch

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
Requires: zabbix-agent
Requires: smeserver-remoteuseraccess
AutoReqProv: no

%description
smserver integration of zabbix agent.
Zabbix is an entreprise-class open source distributed monitoring
solution

%changelog
* Thu Apr 23 2009 Daniel B. <daniel@firewall-services.com> 0.1-28
- improvements in sensors script
- Add megaraid-parser.pl script to get more accurate MegaRaid 
  conrolers informations
- use a cronjob to parse mail logs so multiple zabbix server
  can be used. Also, it won't repport false value if your host
  has been unreachable for some time
- change output of mdstat-parser.pl to report everything in one
  line (looks like megaraid-parser)

* Mon Apr 20 2009 Daniel B. <daniel@firewall-services.com> 0.1-27
- Add updates.available to retrieve the number of updates available 
  with yum
- Added sensors[*] key to retrieve sensors informations. The value are retrieved
  with the script /var/lib/zabbix/bin/sensors which can be customized.

* Fri Mar 27 2009 Daniel B. <daniel@firewall-services.com> 0.1-26
- Add raid.mega.status UserParameters to monitor status of MegaRaid based
  raid array

* Tue Mar 24 2009 Daniel B. <daniel@firewall-services.com> 0.1-25
- Add comments for each UserParameter for configuration on the server side
  (Type of information, unit, etc...)

* Tue Mar 24 2009 Daniel B. <daniel@firewall-services.com> 0.1-24
- Add raid.sw.status userparameter to report software raid array status
- Remove tabs from spec
- Permission cleanup on scripts

* Wed Mar 18 2009 Daniel B. <daniel@firewall-services.com> 0.1-23
- Correct mysql.size parameter (sudo -u mysql)

* Mon Mar 09 2009 Daniel B. <daniel@firewall-services.com> 0.1-22
- Fix typo in sudoers template (ZABBIX_AGENT_MYSQL)

* Mon Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-21
- Add smeserver-remoteuseraccess as a dependencie (sudoer templates issue)

* Mon Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-20
- Adjust masq service on zabbix-agent-update event
- Add description of Timout directive
- Add BufferSend and BufferSize directive to optimize
  agent <-> server communication

* Sun Mar 01 2009 Daniel B. <daniel@firewall-services.com> 0.1-19
- Add size of mysql data (mysql.size)

* Fri Feb 20 2009 Daniel B. <daniel@firewall-services.com> 0.1-18
- Add stats for InternalInterface and ExternalInterface

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-17
- Ignore local delivery from outgoing mail stats

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-16
- Fix a typo in mail.out.failure UserParameters

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-15
- Add UserParameters for outhoing mails statistics

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-14
- add missing other_denied UserParameters for mailStats
- Fix expand-template for /etc/sudoers during zabbix-agent-update event

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-13
- Add incoming mails statistics
- Rename signal-event to zabbix-agent-update (to prevent a conflict on
  sudoers files which needs to be expanded for server and agent)

* Wed Feb 11 2009 Daniel B. <daniel@firewall-services.com> 0.1-12
- Remove Useless buffers and cache mem
- Add vm.memory.size.pused (used memory in %)
- Add ups.battery.charge for ups
- Added "passive" db parameter
- default access is private

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-11
- Fix permissions on mysqladmin_status script

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-10
- Change used swap key

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-9
- Added userparameters for used swap space used in bytes

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-8
- Correct a type in memory statistics (for cached memory)

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-7
- Report also free, buffers and cached mem so stats are more accurate

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-6
- substract cache/buffer from used mem

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-5
- Change key name for used memory
- Report Used mem instead of total

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-4
- Escape brackets in template

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-3
- Add UserParameters to repport amount of used memory

* Mon Feb 9 2009 Daniel B. <daniel@firewall-services.com> 0.1-2
- Add UserParameters to monitor real external IP, UPS status,
  mysql stats

* Fri Feb 6 2009 Daniel B. <daniel@firewall-services.com> 0.1-1
- add Hostname directive in zabbix_agentd.conf

* Mon Feb 04 2009 Daniel B. <daniel@firewall-services.com> 0.1-0
- initial release

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1

%build
perl ./createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--file /var/lib/zabbix/bin/mysqladmin_status 'attr(0750,root,zabbix)' \
	--file /var/lib/zabbix/bin/logtail.pl 'attr(0755,root,root)' \
	--file /var/lib/zabbix/bin/parse_mail_in.pl 'attr(0755,root,root)' \
	--file /var/lib/zabbix/bin/parse_mail_out.pl 'attr(0755,root,root)' \
	--file /var/lib/zabbix/bin/mail_in.sh 'attr(0755,root,root)' \
	--file /var/lib/zabbix/bin/mail_out.sh 'attr(0755,root,root)' \
	--file /var/lib/zabbix/bin/mdstat-parser.pl 'attr(0755,root,root)' \
	--file /var/lib/zabbix/bin/sensors 'attr(0750,root,zabbix) %config(noreplace)' \
	--dir /var/lib/zabbix/tmp 'attr(0750,zabbix,zabbix)' \
	> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/db configuration setprop zabbix-agent status disabled
 /etc/init.d/zabbix-agent stop
fi

true
